Get segments

Returns a list of available Data Marketplace segments and associated metadata.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Best Practices for CountryCode and CurrencyCode

In previous versions of the Buyer API, when you requested segments, LiveRamp automatically applied filters for the default country and currency specified by the company profile in Connect Admin. If nothing was specified, the filters defaulted to the US for both country and currency.

In order to give you greater control over filtering, these defaults no longer apply. To restrict your results to segments in the US, specify countryCodes=USAand currencyCodes=USD]as part of the call.

We recommend that all calls include country code and currency code.

Segment Request Parameters

You can specify the following:

  • The number of segments to return per call. A maximum of 100 segments can be returned per call.
  • The pagination settings for subsequent calls that are pulled from the _pagination.after parameter value of the previous call.
  • Filters to return only segments matching any combination of requirements:
    • Advertiser name (to display only segments not blocked from that advertiser)
    • Data provider name
    • Country
    • Currency
    • Identifier type (cookie, mobile, CID, identity link, or offline
    • Fully or partially refreshed since a specified date
    • Whether reach expansion has been enabled
🚧

About Advertiser and Data Provider Names

The advertiser name and the data provider name must match the name in our system. Contact your LiveRamp CSM for a list of data provider names to make sure the name you include matches the name in our system.

Combining Filters for Segment Requests

You can combine as many filters as you like. You can include multiple possible values for a single filter when this is indicated in the parameter reference below. Within a parameter, the logical operator is OR. Between different parameters, the logical operator is AND.

For example, suppose you want segments with price type CPM or CPC, ID type cookie or MAID, and reach extension disabled. This translates to segments which meet the following criteria:

(Price type = CPM OR CPC) AND (ID type = cookie OR MAID) AND (reach extension = false)

For more information, see Filtering Segments

Information Returned for Segment Requests

The call returns the following information for each segment:

  • Segment ID
  • Segment name
  • Description
  • Data provider name
  • Segment type
  • Number of records
  • Reach:
    • Android reach
    • iOS reach
    • Cookie reach
  • Pricing:
    • Digital ad targeting
    • TV targeting
    • CPM
    • Content marketing
    • % of media revenue share
  • Date the metadata was last updated
Query Params
int32
1 to 100
Defaults to 10

Number of segments to return.

string

This value is a cursor that enables continued paginated queries. Its value can be found under "_pagination.after" in the previous response from this endpoint.

string

Returns the segments after the specified last full refresh date

string

Returns the segments after the specified last partial refresh date.

boolean

Returns segments where reach expansion is enabled or disabled.

identifierType
array of strings

Returns the segments of specified identifier type.

identifierType
Allowed:
string

Returns segments for which the advertiser is not blocked.

string

Returns segments belonging to the specified provider.

ids
array of int64s

Returns the requested segments

ids
countryCodes
array of strings

Returns segments from the specified countries. This corresponds to DataSourceLocation.countryCode in the response body.

countryCodes
currencyCodes
array of strings

Returns segments from the specified currencies. This corresponds to currencyCode of each pricing type in the response body.

currencyCodes
prices
array of strings

Returns segments that have non-zero and non-null prices for any of the specified types. A price of $0.00 is considered unset and null.

prices
Allowed:
permittedUseCases
array of strings

Returns segments permitted for the specified use cases.

permittedUseCases
Allowed:
Headers
string
required

The standard way for a LiveRamp API client to identify the Org it is operating as is to set the LR-Org-ID HTTP header.

string
required

Requester's access token, fetched from sso.liveramp.com. e.g. Bearer $ACCESS_TOKEN.

Responses

Language
LoadingLoading…
Response
Choose an example:
application/json